import request from '@/config/request';
export const APIHealthUser = {
  addPerson, //添加人员
  personList, //人员列表
  personInfo, //详情人员信息
  updatePerson, //修改人员信息
  deletePerson, // 删除人员信息
  getHomeData, //今日体征感知
  getHisData, //体征历史数据
  getCalendar, //体征历史数据日历
  getReportData, //洞悉
  saveDiary //保存情绪日记
};
export default APIHealthUser;
function addPerson(params) {
  return request({
    url: `/api/HealthyUser/AddPerson`,
    method: 'post',
    data: params
  });
}
function personList(data) {
  return request({
    url: `/api/HealthyUser/PersonList`,
    method: 'get',
    params: data
  });
}
function personInfo(data) {
  return request({
    url: `/api/HealthyUser/PersonInfo`,
    method: 'get',
    params: data
  });
}
function updatePerson(params) {
  return request({
    url: `/api/HealthyUser/UpdatePerson`,
    method: 'post',
    data: params
  });
}
function deletePerson(data) {
  return request({
    url: `/api/HealthyUser/DeletePerson`,
    method: 'post',
    params: data
  });
}

function getHomeData(data) {
  return request({
    url: `/api/HealthyData/GetHomeData`,
    method: 'post',
    params: data
  });
}

function getHisData(params) {
  return request({
    url: `/api/HealthyData/GetHisData`,
    method: 'post',
    data: params
  });
}
function getCalendar(data) {
  return request({
    url: `/api/HealthyData/GetCalendar`,
    method: 'post',
    params: data
  });
}
function getReportData(params) {
  return request({
    url: `/api/HealthyData/GetReportData`,
    method: 'post',
    data: params
  });
}
function saveDiary(params) {
  return request({
    url: `/api/HealthyData/SaveDiary`,
    method: 'post',
    data: params
  });
}
